You are here: Foswiki>Main Web>IbmTopic>IbmPrereqInstall (05 Jul 2015, Sergey)EditAttach

Готовимся к установке продуктов IBM

Большинство продуктов IBM устанавливаются при помощи либо InstallAnyware, либо InstallationManager оба этих чудесных средтсва написаны на Java, которая упаковывается в установщик, причем от продукта к продукту разных версий и архитектур (х64/х32).

Для корректной работы требуестя, чтобы в системе были установлены определенные библиотеки, причем контроль этого полностью ложится на администратора, поскольку сами продукты в случае отсутсвия нужных библиотек тихо исчезают в самом неожиданном месте.

Список зависимостей

основным источником для данного списка является статья Installing a single-server IBM FileNet P8 Platform system with IBM Content Navigator

все зависимости должны быть установлены как х32, так и х64
  • compat-libstdc++
  • compat-db
  • libXp
  • libXmu
  • libXtst
  • pam
  • rpm-build
  • elfutils
  • elfutils-libs
  • ksh
  • gtk2
  • gtk2-engines
  • libXft
  • libpthread
  • libstdc++
  • libgthread
  • glibc
  • swt
  • libcanberra-gtk2-module
технически, gtk2 и libX* являются опциональными, но в таком случае не доступен графический интерфейс, а для некоторых вариантов учстановки он является обязательным.

ALERT! На некоторых платформах имена пакетов несколько отличаются, а также их вовсе может не быть
Topic revision: r2 - 05 Jul 2015, Sergey
 
This site is powered by FoswikiCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback